<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|		  Plugin ConvertPan 1.1			|
\***************************************/

## Crée des images normales plus hautes pour les panoramas (utilisation des paMOOrama par exemple)
## Crée des miniatures rognées pour ne pas avoir de minuscules images

$NAMEpanorama = $PluginsProcess['convert_pan']['NAMEpanorama']; // Suffixe des panoramas
$DIMpanorama = $PluginsProcess['convert_pan']['DIMpanorama']; // Hauteur des panoramas normaux
$DIMthumbnailV = $DIMthumbnail/$PluginsProcess['convert_pan']['RatioPanThumb']; // Taille verticale des miniatures

if (strpos($FileName, $NAMEpanorama) !== false) {

	// on prend la miniature au milieu du panorama
	$tmp_x = $FileInfos['Width'] * $DIMthumbnailV / $FileInfos['Height'];
	$offset_x = ($tmp_x - $DIMthumbnail) / 2;

	if (!isset($BlockNormal)) { 
		exec('files\nconvert.exe -q '.$Qnormal.' -out jpeg -o "'.$FileFolder.'/'.$FileName.'" -dpi 72 '.$convOptions.' -resize 0 '.$DIMpanorama.' '.$copyNormal.' "'.$FilesSource[$i].'"');
		$BlockNormal = true;
	}
	
	if (!isset($BlockThumbnail)) { 
		exec('files\nconvert.exe -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$DIMthumbnail.' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
		$BlockThumbnail = true;
	}
}
?>