<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|	  Plugin CreateCustomThumbs 1.0		|
\***************************************/

## Diffrents traitements sur les miniatures : taille fixe & cadre (2 couleurs)
## Dpend de la valeur de $DIMthumbnail

// CreateCustomThumbs  la priorit sur ConvertPan
if (isset($PluginsProcess['convert_pan']) OR !isset($BlockThumbnail)) { 

	$FileSource = $FilesSource[$i]; // fichier de travail
	$DIMthumbnailV = $PluginsProcess['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
	$FRAMEparams = $PluginsProcess['create_custom_thumbs']['FRAMEparams']; // Paramtres du cadre
	
	// Miniature de taille personnalise
	if ($DIMthumbnailV != '0') {
		$max = max($DIMthumbnail, $DIMthumbnailV);

		// on prend la miniature au milieu de l'image
		if ($FileInfos['Height'] >= $FileInfos['Width']) {
			$resize_param = $max.' 0';
			$tmp_x = $max;
			$tmp_y = $max * $FileInfos['Height'] / $FileInfos['Width'];
		} else {
			$resize_param = '0 '.$max;
			$tmp_x = $max * $FileInfos['Width'] / $FileInfos['Height'];
			$tmp_y = $max;
		}
		
		$offset_x = ($tmp_x - $DIMthumbnail) / 2;
		$offset_y = ($tmp_y - $DIMthumbnailV) / 2;
		
		exec('files\nconvert.exe -overwrite -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$DIMthumbnail.' '.$DIMthumbnailV.' -rmeta -rexifthumb 	"'.$FileSource.'"');
		
		$BlockThumbnail = true;
		$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
	}

	// Cadre autour de la miniature
	if ($FRAMEparams != '0') {
		// Si la miniature n'a pas encore t gnre il faut le faire
		if ($FileSource == $FilesSource[$i]) {
			exec('files\nconvert.exe -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$DIMthumbnail.' '.$DIMthumbnail.' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
			$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
		}

		$FRAMEparams = ExplodeString($FRAMEparams);
		$colors['name'] = array_keys($FRAMEparams);
		$colors['size'] = array_values($FRAMEparams);
		
		$img = imagecreatefromjpeg($FileSource);
		$x = imagesx($img)-1;
		$y = imagesy($img)-1;
		
		$colors[0] = hex2RGB(substr($colors['name'][0],1));
		$colors[1] = hex2RGB(substr($colors['name'][1],1));
		$colors[0] = imagecolorallocate($img, $colors[0]['r'], $colors[0]['g'], $colors[0]['b']);
		$colors[1] = imagecolorallocate($img, $colors[1]['r'], $colors[1]['g'], $colors[1]['b']);

		for ($m=0; $m<$colors['size'][0]; $m++) {
			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[0]);
		}
		for ($m=$colors['size'][0]; $m<$colors['size'][0]+$colors['size'][1]; $m++) {
			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[1]);
		}
		
		imagejpeg($img, $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName, $Qthumbnail);
		imagedestroy($img);
		
		$BlockThumbnail = true;
		$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
	}
}

?>